summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorComputerfr33k2015-06-08 14:01:59 -0500
committerComputerfr33k2015-06-08 14:01:59 -0500
commit9982c028d7fd16ecfb996cff37515694ede09c08 (patch)
tree6f2e8818aa2f2b819d658b1adbd143fae2b308d1
downloadaur-9982c028d7fd16ecfb996cff37515694ede09c08.tar.gz
Port from AUR 3
-rw-r--r--.SRCINFO16
-rw-r--r--PKGBUILD44
-rw-r--r--To-Do-List-Manager.desktop5
3 files changed, 65 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..a6da61e2806
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,16 @@
+pkgbase = to-do-list-manager
+ pkgdesc = A Simple To Do List Manager Written In Qt5
+ pkgver = 0.11
+ pkgrel = 2
+ url = https://github.com/computerfr33k/To-Do-List-Manager
+ arch = any
+ groups = office
+ license = GPL3
+ depends = qt5-base
+ source = https://github.com/computerfr33k/To-Do-List-Manager/archive/0.11.tar.gz
+ source = To-Do-List-Manager.desktop
+ md5sums = 240aea69f728262c0667ba56e10825ab
+ md5sums = 0616a650c9e0a64d1897cf394c6c75d3
+
+pkgname = to-do-list-manager
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..977989e39bf
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,44 @@
+pkgname=to-do-list-manager
+pkgver=0.11
+pkgrel=2
+pkgdesc="A Simple To Do List Manager Written In Qt5"
+arch=('any')
+url="https://github.com/computerfr33k/To-Do-List-Manager"
+license=('GPL3')
+groups=('office')
+depends=('qt5-base')
+makedepends=()
+optdepends=()
+provides=()
+conflicts=()
+replaces=()
+backup=()
+options=()
+install=
+changelog=
+source=("https://github.com/computerfr33k/To-Do-List-Manager/archive/$pkgver.tar.gz"
+ "To-Do-List-Manager.desktop")
+noextract=()
+md5sums=('240aea69f728262c0667ba56e10825ab'
+ '0616a650c9e0a64d1897cf394c6c75d3')
+
+build() {
+ cd "$srcdir/To-Do-List-Manager-${pkgver}"
+
+ qmake PREFIX=${pkgdir} To-Do-List-Manager.pro
+ make || return 1
+ make clean
+}
+
+package() {
+ cd "$srcdir/To-Do-List-Manager-${pkgver}"
+
+ make install
+ install -d "${pkgdir}"/opt/To-Do-List-Manager
+ install -d "${pkgdir}"/usr/bin
+
+ mv "${pkgdir}/To-Do-List-Manager" "${pkgdir}"/opt/"To-Do-List-Manager"/
+ ln -s ${pkgdir}/opt/To-Do-List-Manager/To-Do-List-Manager "${pkgdir}"/usr/bin/To-Do-List-Manager
+
+ install -Dm644 "${srcdir}"/To-Do-List-Manager.desktop "${pkgdir}"/usr/share/applications/To-Do-List-Manager.desktop
+}
diff --git a/To-Do-List-Manager.desktop b/To-Do-List-Manager.desktop
new file mode 100644
index 00000000000..fafe40f98e4
--- /dev/null
+++ b/To-Do-List-Manager.desktop
@@ -0,0 +1,5 @@
+[Desktop Entry]
+Name=To-Do-List-Manager
+Exec=/opt/To-Do-List-Manager/To-Do-List-Manager
+Type=Application
+Categories=office